/*********************************************
*********** start navbar ********************
*******************************************/


*{
    font-family: "Cairo", sans-serif;

}
html {
    overflow-x: hidden;
    scroll-behavior: smooth;
}

::-moz-selection {
    background-color: var(--main-color);
    color: #fff;
    text-shadow: none;
}

.container {
    max-width: 1620px;
    padding-left: 2rem;
    padding-right: 2rem;
}

::selection {
    background-color: var(--main-color);
    color: #fff;
    text-shadow: none;
}

.header {
    padding: 18rem 2rem 23rem;
    transition: 0.3s all ease;
    background: url(../Media/bg_small_2.webp) no-repeat;
    background-position: center;
    background-size: cover;
    position: relative;
}

.secMain .bg {
    background: url(../Media/bg_small_2.webp) no-repeat;
    background-position: center;
    background-size: cover;
}

.dark .header,
.dark .secMain .bg {
    background: url(../Media/dark_bg_pages.png) no-repeat;
    background-position: center;
    background-size: cover;
}

.header::after,
.secMain .bg::after,
.header::before,
.secMain .bg::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 13rem;
    background: url(../Media/edge2.svg);
    background-size: cover;
    transition: 0.3s all ease;
    opacity: 1;
}

.header::before,
.secMain .bg::before {
    background: url(../Media/edge3.svg);
    background-size: cover;
    opacity: 0;
}

.dark .header::before,
.dark .secMain .bg::before {
    opacity: 1;
}

.dark .header::after,
.dark .secMain .bg::after {
    opacity: 0;
}

:root {
    --main-color: #663399;
    --first-color: #5acdff;
    --sec-color: #f4ca25;
    --third-color: #ea7438;
    --main-bg: #e7e7e7;
    --sec-bg: #fdfdfd;
    --second-bg: #fff;
    --font-dark: #15171a;
    --font-light: #787878;
    --red-color: rgb(255, 77, 89);
    --shadow: rgba(0, 0, 0, 0.1) 0px 3px 6px;
    --dropdown-menu-hover:#dbdbdb;
    --login: #dadada;
    --dashboard-header:#dcdcdc;
    --addupdate-form:#c4c4c4;

}

.dark:root {
    --main-bg: #111111;
    --sec-bg: #17171d;
    --second-bg: #17171d;
    --font-dark: #fff;
    --font-light: #949494;
    --dropdown-menu-hover:#3a3a3a;
    --login: #444444;
    --dashboard-header:#222222;
    --addupdate-form:#555555;



}

.login-button {
    background-color: var(--login);
}

.mainColor {
    color: var(--third-color);
}

.secColor {
    color: var(--sec-color);
}

.thirdColor {
    color: var(--first-color);
}

.gradeBg1 {
    background: var(--third-color);
}

.gradeBg2 {
    background: var(--sec-color);
}

.gradeBg3 {
    background: var(--first-color);
}

body {
    background: var(--main-bg);
    direction: rtl;
    font-family: "Almarai";
}

html[lang="ar"] body {
    direction: rtl;
}

.mainTitle {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 0.5rem;
    margin-bottom: 5rem;
}

.mainTitle svg {
    width: 20rem;
    height: auto;
    max-width: 100%;
    animation: line 3s ease-in-out infinite 0s;
}

@keyframes line {
    0%,
    100% {
        stroke-dashoffset: 1000;
        stroke-dasharray: 1000;
    }
    50% {
        stroke-dashoffset: 0;
        stroke-dasharray: 1000;
    }
}

.mainTitle .title {
    font-size: 4.4rem;
    font-weight: 800;
    font-family: "Cairo";
}

.main {
    padding-left: 100px;
    padding-right: 100px;
    /* overflow: hidden; */
    max-width: 1920px;
    margin: 0 auto;
}

.d-MainColor {
    color: #2dc1fd;
}

.mainHover {
    position: relative;
    overflow: hidden;
}

.mainHover:after {
    content: "";
    position: absolute;
    right: 0;
    top: 0;
    width: 0;
    height: 100%;
    transition: 0.45s all cubic-bezier(0.46, 1.8, 0.18, 0.61);
}

.mainHover:hover::after {
    width: 100%;
}

nav {
    padding: 1rem 8rem;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 99999999;
    background: linear-gradient(90deg, #e6e6e6, #f8f8f8);
    transition: 0.3s all ease;
}

nav.active {
    padding: 1rem 5rem;
    box-shadow: var(--shadow);
    /* border-bottom: 4px solid var(--main-color); */
}

.dark nav {
    background: linear-gradient(90deg, #1c1c1c, #474747);
}

.navProgress {
    position: absolute;
    bottom: 0;
    transition: 0.4s all ease;
    height: 4px;
    border-radius: 3rem;
    width: 100%;
    right: 0;
    background-color: var(--second-bg);
    z-index: 99;
}

.navProgress .navProgChild {
    height: 100%;
    background-color: var(--main-color);
    position: absolute;
    bottom: 0;
    width: 0;
    border-radius: 3rem;
}

nav .customeContainer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.right,
.left {
    display: flex;
    align-items: center;
}

.right {
    gap: 1rem;
}

.left {
    gap: 1rem;
}

.regType {
    color: #fff;
    transition: 0.3s all ease;
    font-weight: 700;
}

nav.active .regType,
.activeNavMenu .regType {
    color: var(--font-dark);
}

html[lang="en"] nav.active .signup a {
    flex-direction: row-reverse;
}

nav.active .signup .regType,
.activeNavMenu .signup .regType {
    color: #fff;
    font-family: "Cairo", sans-serif;
}

nav.active .login .regType span,
.activeNavMenu .login .regType span {
    color: #ff8a00;
}


.logoBrand {
    position: relative;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.logoBrand img {
    width: 6rem;
    height: auto;
}



/*** light and dark svg ***/

.sun,
.moon {
    position: absolute;
    /* top: 50%; */
    top: 5.3rem;
    transform: translateY(-50%);
    cursor: pointer;
    opacity: 0;
    transition: 0.3s all ease;
    display: none;
}

.sun {
    z-index: 2;
    opacity: 1;
}

.dark .sun {
    opacity: 0;
    z-index: 1;
}

.sun svg {
    color: #feca57;
    width: 35px;
    transition: 0.3s all ease;
    transform: rotate(90deg);
}

.dark .sun svg {
    transform: rotate(0deg);
}

.dark .moon {
    opacity: 1;
    z-index: 2;
}

.moon svg {
    width: 35px;
    transform: rotate(180deg);
    transition: 0.3s all ease;
}

.dark .moon svg {
    transition: 0.3s all ease;
    transform: rotate(45deg);
}


.lineParent {
    position: relative;
}

.lineParent .line:nth-of-type(1) {
    left: 0;
    bottom: 0;
    height: 100%;
    width: 2px;
    transform: scaleY(0);
    transform-origin: top;
    transition: 0.3s transform ease;
}

.lineParent:hover .line:nth-of-type(1) {
    transform: scaleY(1.0001);
    transform-origin: bottom;
}

.lineParent .line:nth-of-type(2) {
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    transform: scaleX(0);
    transform-origin: right;
    transition: 0.3s transform ease;
}

.lineParent:hover .line:nth-of-type(2) {
    transform: scaleX(1.0001);
    transform-origin: left;
}

.lineParent .line:nth-of-type(3) {
    left: 0;
    top: 0;
    width: 100%;
    height: 2px;
    transform: scaleX(0);
    transform-origin: right;
    transition: 0.3s transform ease;
    transition-delay: 0.3s;
}

.lineParent:hover .line:nth-of-type(3) {
    transform: scaleX(1.0001);
    transform-origin: left;
    transition: 0.3s transform ease;
}

.lineParent .line:nth-of-type(4) {
    right: 0;
    bottom: 0;
    height: 100%;
    width: 2px;
    transform: scaleY(0);
    transform-origin: top;
    transition: 0.3s transform ease;
}

.lineParent:hover .line:nth-of-type(4) {
    transform: scaleY(1.0001);
    transform-origin: bottom;
    transition: 0.3s transform ease;
}

.toggleBarBtn {
    display: none;
}


.toggleBarBtn span {
    background: #585858;

}
.dark .toggleBarBtn span {
  
    background: #cecece;
    
}

.mobDetails {
    display: none;
}


.profile-info {
  background-color:  #dedede;
}
.dark .profile-info {
    background-color:  #202020;

}

.profile-details{
    background-color:  #e2e2e2;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}
.dark .profile-details{
    background: #292929;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}



.profile-email{
    color: #242424;

}
.dark .profile-email{
    color: #c2c2c2;

}

.swal2-popup {
    font-size: 100% !important; /* Set font size to 100% */
  }
  
  .swal2-title,
  .swal2-content,
  .swal2-actions {
    font-size: 100% !important; /* Set font size for the title, content, and actions */
  }
  

/**** responsive *****/

@media (max-width: 1260px) {
    /** footer **/
    footer {
        /* padding: 12rem 0 3rem !important; */
    }
    .crParent {
        flex-direction: column;
        text-align: center;
    }
    .crParent .space {
        display: none;
    }
}




@media (max-width: 767px) {
    .mainTitle .title {
        font-size: 3.6rem;
    }
    nav,
    nav.active {
        padding-left: 2rem;
        padding-right: 2rem;
    }
 
  
    .footerLogo {
        display: none;
    }
}

@media (max-width: 600px) {
    
}

@media (max-width: 500px) {
    .brandTitle {
        font-size: 1.8rem !important;
    }
    .logoBrand svg {
        width: 4rem;
    }
  
    html {
        font-size: 58%;
    }
    /** start months **/
    .noLec {
        width: 75% !important;
    }
    .no-lectures {
        font-size: 3.2rem !important;
    }
}

@media (max-width: 400px) {
    .activeNavMenu .left {
        width: 90%;
        max-width: 80rem;
    }
}






/*******dark light switch******/

.theme-switch {
    --toggle-size: 14px;
    /* the size is adjusted using font-size,
     this is not transform scale,
     so you can choose any size */
    --container-width: 5.625em;
    --container-height: 2.5em;
    --container-radius: 6.25em;
    /* radius 0 - minecraft mode :) */
    --container-light-bg: #3d7eae;
    --container-night-bg: #1d1f2c;
    --circle-container-diameter: 3.375em;
    --sun-moon-diameter: 2.125em;
    --sun-bg: #ecca2f;
    --moon-bg: #c4c9d1;
    --spot-color: #959db1;
    --circle-container-offset: calc( (var(--circle-container-diameter) - var(--container-height)) / 2 * -1);
    --stars-color: #fff;
    --clouds-color: #f3fdff;
    --back-clouds-color: #aacadf;
    --transition: 0.5s cubic-bezier(0, -0.02, 0.4, 1.25);
    --circle-transition: 0.3s cubic-bezier(0, -0.02, 0.35, 1.17);
}

.theme-switch,
.theme-switch *,
.theme-switch *::before,
.theme-switch *::after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-size: var(--toggle-size);
}

.theme-switch__container {
    width: var(--container-width);
    height: var(--container-height);
    background-color: var(--container-light-bg);
    border-radius: var(--container-radius);
    overflow: hidden;
    cursor: pointer;
    -webkit-box-shadow: 0em -0.062em 0.062em rgba(0, 0, 0, 0.25), 0em 0.062em 0.125em rgba(255, 255, 255, 0.94);
    box-shadow: 0em -0.062em 0.062em rgba(0, 0, 0, 0.25), 0em 0.062em 0.125em rgba(255, 255, 255, 0.94);
    -webkit-transition: var(--transition);
    -o-transition: var(--transition);
    transition: var(--transition);
    position: relative;
}

.theme-switch__container::before {
    content: "";
    position: absolute;
    z-index: 1;
    inset: 0;
    -webkit-box-shadow: 0em 0.05em 0.187em rgba(0, 0, 0, 0.25) inset, 0em 0.05em 0.187em rgba(0, 0, 0, 0.25) inset;
    box-shadow: 0em 0.05em 0.187em rgba(0, 0, 0, 0.25) inset, 0em 0.05em 0.187em rgba(0, 0, 0, 0.25) inset;
    border-radius: var(--container-radius);
}

.theme-switch__checkbox {
    display: none;
}

.theme-switch__circle-container {
    width: var(--circle-container-diameter);
    height: var(--circle-container-diameter);
    background-color: rgba(255, 255, 255, 0.1);
    position: absolute;
    left: var(--circle-container-offset);
    top: var(--circle-container-offset);
    border-radius: var(--container-radius);
    -webkit-box-shadow: inset 0 0 0 3.375em rgba(255, 255, 255, 0.1), inset 0 0 0 3.375em rgba(255, 255, 255, 0.1), 0 0 0 0.625em rgba(255, 255, 255, 0.1), 0 0 0 1.25em rgba(255, 255, 255, 0.1);
    box-shadow: inset 0 0 0 3.375em rgba(255, 255, 255, 0.1), inset 0 0 0 3.375em rgba(255, 255, 255, 0.1), 0 0 0 0.625em rgba(255, 255, 255, 0.1), 0 0 0 1.25em rgba(255, 255, 255, 0.1);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-transition: var(--circle-transition);
    -o-transition: var(--circle-transition);
    transition: var(--circle-transition);
    pointer-events: none;
}

.theme-switch__sun-moon-container {
    pointer-events: auto;
    position: relative;
    z-index: 2;
    width: var(--sun-moon-diameter);
    height: var(--sun-moon-diameter);
    margin: auto;
    border-radius: var(--container-radius);
    background-color: var(--sun-bg);
    -webkit-box-shadow: 0.062em 0.062em 0.062em 0em rgba(254, 255, 239, 0.61) inset, 0em -0.062em 0.062em 0em #a1872a inset;
    box-shadow: 0.062em 0.062em 0.062em 0em rgba(254, 255, 239, 0.61) inset, 0em -0.062em 0.062em 0em #a1872a inset;
    -webkit-filter: drop-shadow(0.062em 0.125em 0.125em rgba(0, 0, 0, 0.25)) drop-shadow(0em 0.062em 0.125em rgba(0, 0, 0, 0.25));
    filter: drop-shadow(0.062em 0.125em 0.125em rgba(0, 0, 0, 0.25)) drop-shadow(0em 0.062em 0.125em rgba(0, 0, 0, 0.25));
    overflow: hidden;
    -webkit-transition: var(--transition);
    -o-transition: var(--transition);
    transition: var(--transition);
}

.theme-switch__moon {
    -webkit-transform: translateX(100%);
    -ms-transform: translateX(100%);
    transform: translateX(100%);
    width: 100%;
    height: 100%;
    background-color: var(--moon-bg);
    border-radius: inherit;
    -webkit-box-shadow: 0.062em 0.062em 0.062em 0em rgba(254, 255, 239, 0.61) inset, 0em -0.062em 0.062em 0em #969696 inset;
    box-shadow: 0.062em 0.062em 0.062em 0em rgba(254, 255, 239, 0.61) inset, 0em -0.062em 0.062em 0em #969696 inset;
    -webkit-transition: var(--transition);
    -o-transition: var(--transition);
    transition: var(--transition);
    position: relative;
}

.theme-switch__spot {
    position: absolute;
    top: 0.75em;
    left: 0.312em;
    width: 0.75em;
    height: 0.75em;
    border-radius: var(--container-radius);
    background-color: var(--spot-color);
    -webkit-box-shadow: 0em 0.0312em 0.062em rgba(0, 0, 0, 0.25) inset;
    box-shadow: 0em 0.0312em 0.062em rgba(0, 0, 0, 0.25) inset;
}

.theme-switch__spot:nth-of-type(2) {
    width: 0.375em;
    height: 0.375em;
    top: 0.937em;
    left: 1.375em;
}

.theme-switch__spot:nth-last-of-type(3) {
    width: 0.25em;
    height: 0.25em;
    top: 0.312em;
    left: 0.812em;
}

.theme-switch__clouds {
    width: 1.25em;
    height: 1.25em;
    background-color: var(--clouds-color);
    border-radius: var(--container-radius);
    position: absolute;
    bottom: -0.625em;
    left: 0.312em;
    -webkit-box-shadow: 0.937em 0.312em var(--clouds-color), -0.312em -0.312em var(--back-clouds-color), 1.437em 0.375em var(--clouds-color), 0.5em -0.125em var(--back-clouds-color), 2.187em 0 var(--clouds-color), 1.25em -0.062em var(--back-clouds-color), 2.937em 0.312em var(--clouds-color), 2em -0.312em var(--back-clouds-color), 3.625em -0.062em var(--clouds-color), 2.625em 0em var(--back-clouds-color), 4.5em -0.312em var(--clouds-color), 3.375em -0.437em var(--back-clouds-color), 4.625em -1.75em 0 0.437em var(--clouds-color), 4em -0.625em var(--back-clouds-color), 4.125em -2.125em 0 0.437em var(--back-clouds-color);
    box-shadow: 0.937em 0.312em var(--clouds-color), -0.312em -0.312em var(--back-clouds-color), 1.437em 0.375em var(--clouds-color), 0.5em -0.125em var(--back-clouds-color), 2.187em 0 var(--clouds-color), 1.25em -0.062em var(--back-clouds-color), 2.937em 0.312em var(--clouds-color), 2em -0.312em var(--back-clouds-color), 3.625em -0.062em var(--clouds-color), 2.625em 0em var(--back-clouds-color), 4.5em -0.312em var(--clouds-color), 3.375em -0.437em var(--back-clouds-color), 4.625em -1.75em 0 0.437em var(--clouds-color), 4em -0.625em var(--back-clouds-color), 4.125em -2.125em 0 0.437em var(--back-clouds-color);
    -webkit-transition: 0.5s cubic-bezier(0, -0.02, 0.4, 1.25);
    -o-transition: 0.5s cubic-bezier(0, -0.02, 0.4, 1.25);
    transition: 0.5s cubic-bezier(0, -0.02, 0.4, 1.25);
}

.theme-switch__stars-container {
    position: absolute;
    color: var(--stars-color);
    top: -100%;
    left: 0.312em;
    width: 2.75em;
    height: auto;
    -webkit-transition: var(--transition);
    -o-transition: var(--transition);
    transition: var(--transition);
}

/* actions */

.theme-switch__checkbox:checked+.theme-switch__container {
    background-color: var(--container-night-bg);
}

.theme-switch__checkbox:checked+.theme-switch__container .theme-switch__circle-container {
    left: calc( 100% - var(--circle-container-offset) - var(--circle-container-diameter));
}

.theme-switch__checkbox:checked+.theme-switch__container .theme-switch__circle-container:hover {
    left: calc( 100% - var(--circle-container-offset) - var(--circle-container-diameter) - 0.187em);
}

.theme-switch__circle-container:hover {
    left: calc(var(--circle-container-offset) + 0.187em);
}

.theme-switch__checkbox:checked+.theme-switch__container .theme-switch__moon {
    -webkit-transform: translate(0);
    -ms-transform: translate(0);
    transform: translate(0);
}

.theme-switch__checkbox:checked+.theme-switch__container .theme-switch__clouds {
    bottom: -4.062em;
}

.theme-switch__checkbox:checked+.theme-switch__container .theme-switch__stars-container {
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

